# std::ranges::enumerate_view<V>::iterator<Const>::base

From cppreference.com
< cpp‎ | ranges‎ | enumerate view‎ | iterator

constexpr const ranges::iterator_t <Base>& base() const& noexcept; | (1) | (since C++23)
constexpr ranges::iterator_t <Base> base() &&; | (2) | (since C++23)

Returns the underlying iterator. Let `current_` be the underlying iterator.

1) Equivalent to: return current_;.
2) Equivalent to: return std::move(current_);.

### Parameters

(none)

### Return value

An iterator to the current element in `enumerate_view`.

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/enumerate_view/iterator/base&oldid=151617"